#!/bin/bash
ZENITY=$(which zenity)
if [ -z "$(file /sbin/init|grep systemd)" ]; then
	exit 0
fi
if [ -n "$(systemctl -n0 status systemd-resolved |grep active|grep running)" ]; then
	$ZENITY --width=400 --question --text="Aquest ordinador no pot connectar-se a la \
wifi <b>gencat_ENS_EDU_PORTAL.</b>\n\r\
Voleu canviar la configuració per poder-vos-hi connectar?"
	if [ "$?" != "1" ]; then
# SYSTEMD-RESOLVED IS RUNNING -> DISABLE
	        systemctl disable systemd-resolved >/dev/null 2>&1
	        systemctl stop systemd-resolved >/dev/null 2>&1
	        if [ -e /etc/NetworkManager/NetworkManager.conf ]; then
	                if [ -z "$(grep -i "dns=default" /etc/NetworkManager/NetworkManager.conf)" ]; then
	                        sed -ie '/\[main\]/a dns=default' /etc/NetworkManager/NetworkManager.conf
	                fi
	        fi
	        if [ -L /etc/resolv.conf ]; then
	                unlink /etc/resolv.conf
	        fi
	        systemctl reload NetworkManager >/dev/null 2>&1
		$ZENITY --info --width=400 --text "Aquest ordinador ja pot connectar-se a la wifi <b>gencat_ENS_EDU_PORTAL.</b>"
	fi
else
	$ZENITY --width=400 --question --text="Aquest ordinador <b>ja es pot connectar</b> a la \
wifi <b>gencat_ENS_EDU_PORTAL.</b>\n\r\
Voleu recuperar la configuració predeterminada del sistema?"
	if [ "$?" != "1" ]; then
# SYSTEMD-RESOLVED IS NOT RUNNING -> ENABLE
		if [ -e /etc/resolv.conf ]; then
			rm /etc/resolv.conf
		fi
		sed -ie '/dns=default/d' /etc/NetworkManager/NetworkManager.conf
		systemctl enable systemd-resolved >/dev/null 2>&1
		systemctl start systemd-resolved >/dev/null 2>&1
		ln -s /run/systemd/resolve/stub-resolv.conf /etc/resolv.conf
		systemctl reload NetworkManager >/dev/null 2>&1
		$ZENITY --info --width=400 --text "Recordeu que <b>no us podreu connectar</b> a la wifi <b>gencat_ENS_EDU_PORTAL</b> del vostre centre educatiu fins que no torneu a executar aquest aplicatiu."
	fi
fi
